Package com.usatiuk.objects.transaction

# Interface TransactionManager

All Known Implementing Classes:
  `TransactionManagerImpl`

public interface TransactionManager

## Method Summary

Modifier and Type
Method
Description
`void`
`begin()`
`TransactionHandle`
`commit()`
`Transaction`
`current()`
`default void`
`executeTx(Runnable fn)`
`default <T> T`
`executeTx(Supplier<T> supplier)`
`void`
`rollback()`
`default TransactionHandle`
`run(Runnable fn)`
`default TransactionHandle`
`run(Runnable fn, boolean nest)`
`default <T> T`
`run(Supplier<T> supplier)`
`default <T> T`
`run(Supplier<T> supplier, boolean nest)`
`default TransactionHandle`
`runTries(Runnable fn, int tries)`
`default TransactionHandle`
`runTries(Runnable fn, int tries, boolean nest)`
`default <T> T`
`runTries(Supplier<T> supplier, int tries)`
`default <T> T`
`runTries(Supplier<T> supplier, int tries, boolean nest)`

## Method Details

### begin

void begin()

### commit

TransactionHandle commit()

### rollback

void rollback()

### runTries

default <T> T runTries(Supplier<T> supplier, int tries, boolean nest)

### runTries

default TransactionHandle runTries(Runnable fn, int tries, boolean nest)

### runTries

default <T> T runTries(Supplier<T> supplier, int tries)

### runTries

default TransactionHandle runTries(Runnable fn, int tries)

### run

default TransactionHandle run(Runnable fn, boolean nest)

### run

default <T> T run(Supplier<T> supplier, boolean nest)

### run

default TransactionHandle run(Runnable fn)

### run

default <T> T run(Supplier<T> supplier)

### executeTx

default void executeTx(Runnable fn)

### executeTx

default <T> T executeTx(Supplier<T> supplier)

### current

Transaction current()